MPI_Win_set_attr(3OpenMPI)

NAME
MPI_Win_set_attr -

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Win_set_attr(MPI_Win win, int win_keyval, void *attribute_val)

Fortran Syntax (see FORTRAN 77 NOTES)
INCLUDE 'mpif.h'
MPI_WIN_SET_ATTR(WIN, WIN_KEYVAL, ATTRIBUTE_VAL, IERROR)
	INTEGER WIN, WIN_KEYVAL, IERROR
	INTEGER(KIND=MPI_ADDRESS_KIND) ATTRIBUTE_VAL

C++ Syntax
#include <mpi.h>
void MPI::Win::Set_attr(int win_keyval, const void* attribute_val)

INPUT/OUTPUT PARAMETER

win Window to which attribute will be attached (handle).

INPUT PARAMETERS

win_keyval
    Key value (integer).

attribute_val
    Attribute value.

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION

FORTRAN 77 NOTES
The MPI standard prescribes portable Fortran syntax for the ATTRIBUTE_VAL argument only for Fortran 90. FORTRAN 77 users may use the non-portable syntax

     INTEGER*MPI_ADDRESS_KIND ATTRIBUTE_VAL

where MPI_ADDRESS_KIND is a constant defined in mpif.h and gives the length of the declared integer in bytes.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.